package kr.co.uplus.ez.api.sysMgt.dto;

import java.io.Serializable;

import kr.co.uplus.ez.common.data.ApiResponseCode;
import kr.co.uplus.ez.common.data.ResponseMessage;
import lombok.Data;

@SuppressWarnings("serial")
@Data
public class SvcCheckListResDto extends ResponseMessage implements Serializable{

private SvcCheckListRes data;
	
	public SvcCheckListResDto() {
		this.retCode = ApiResponseCode.SUCCESS.getResultCode();
		this.retMsg = ApiResponseCode.SUCCESS.getResultMsg();
	}
	
	public SvcCheckListResDto(ApiResponseCode returnStr) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
	}
	
	public SvcCheckListResDto(ApiResponseCode returnStr, SvcCheckListRes data) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
		this.data = data;
	}

}
